//Ex4_5.cpp
#include "iostream" 
using namespace std;
#define N 5 
void main() 
{int i,j,t,min,a[N]={4,8,3,1,5}; 
 cout<<"排序前数据:"; 
 for(i=0;i<N;i++)cout<<a[i]<<" "; 
 for (i=0;i<N-1;i++) //有N个数需进行N-1趟 
	{min=i;
     for (j=i+1;j<N;j++) 
		if(a[j]>a[min]) min=j; //找最小数下标 
		if (min!=i) {t=a[i];a[i]=a[min];a[min]=t;} 
     cout<<"\n 第 "<<i+1<<" 趟排序 "; 
     for(j=0;j<N;j++)cout<<a[j]<<" "; //显示第i趟排序结果 
	} 
 cout<<"\n排序后结果："; 
 for(j=0;j<N;j++)cout<<a[j]<<" "; 
 cout<<endl; 
}
